PDA

View Full Version : Ext JS 4.2 not working in IE8



khushboo_nf
23 Jan 2014, 1:14 AM
I developed a desktop application using Sencha Architect Ext JS 4.2 and J2EE. It is working fine in google chrome but not even opening in IE. Is it compatible with Internet Explorer ?if yes, then which version of IE do I install ?

Please help. :s

mdnaveed42
23 Jan 2014, 4:35 AM
Hi,

Generally if you have left any trailing comma then the app willn't be working in IE 8.

Kindly go thru in details in this post..

http://www.sencha.com/forum/showthread.php?280130-Problem-with-IE-9-while-using-Extjs-4.2.1

if the issue still exists, kindly provide more info to assist you.

Extjs 4.2 has support from Internet Explorer 6+
Browser Support: http://www.sencha.com/products/extjs/


Thanks,
Md Naveed

jay@moduscreate.com
23 Jan 2014, 1:53 PM
yes. You have a problem in your JavaScript.


I suggest using an editor that helps detect these issues or lint your code.

khushboo_nf
28 Jan 2014, 5:20 AM
Specifically, during when I am sending out an Ext.Ajax request from the application, a file attachment was sent out with the response for download. The download functionality is working fine in Chrome/Mozilla but not in IE 10. I changed the response content type to text/html as well as text/plain, but of no success. Please help in urgent:s:(


Ext.Ajax.request({
url: '/DPS_BE/StudyVersionControlServlet?action=downloadVerStudy',
method:'GET',
params: {
stuID : study,
version : version
},
success: function(response){


box.hide();
var link = document.createElement("a");
link.download = studyName+'_V'+version+'.doc';
link.href = '/DPS_BE/temp/workingSOVDir/sov.doc';
link.click();




}